A watcher that evaluates a query, when triggered

### Hierarchy

- SCMonitoringWatcher

## Index

### Properties

- actions
- conditions
- name
- query
- triggers

## Properties

### actions

actions: Array<SCMonitoringLogAction | SCMonitoringMailAction>

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4658

A list of actions that are executed, when the watcher fails

### conditions

conditions: Array<SCMonitoringMaximumLengthCondition | SCMonitoringMinimumLengthCondition>

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4664

A list of conditions that have to match the result of the query

If not all conditions are met, the watcher will fail and all actions are executed

### name

name: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4668

A name for the watcher

### query

query: any

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4672

Query to execute against the database

### triggers

triggers: SCMonitoringTrigger[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4676

A list of triggers

Generated using TypeDoc